### Enumeration

# Clutter BinAlignment

deprecated: 1.12 since: 13

#### Declaration

    enum Clutter.BinAlignment

#### Description [src]

The alignment policies available on each axis for `ClutterBinLayout`.

Available since: 13

Deprecated since: 1.12

Use `ClutterActorAlign` and the `ClutterActor` API instead.

#### Members

`CLUTTER_BIN_ALIGNMENT_FIXED`

  Fixed position alignment; the `ClutterBinLayout` will honour the fixed position provided by the actors themselves when allocating them.

  - Value: `0`
  - Nickname: `fixed`
  - Available since: 13
`CLUTTER_BIN_ALIGNMENT_FILL`

  Fill the allocation size.

  - Value: `1`
  - Nickname: `fill`
  - Available since: 13
`CLUTTER_BIN_ALIGNMENT_START`

  Position the actors at the top or left side of the container, depending on the axis.

  - Value: `2`
  - Nickname: `start`
  - Available since: 13
`CLUTTER_BIN_ALIGNMENT_END`

  Position the actors at the bottom or right side of the container, depending on the axis.

  - Value: `3`
  - Nickname: `end`
  - Available since: 13
`CLUTTER_BIN_ALIGNMENT_CENTER`

  Position the actors at the center of the container, depending on the axis.

  - Value: `4`
  - Nickname: `center`
  - Available since: 13